Feature: FR-07 Property Advertisement List (Unauthenticated)

    Scenario: Unauthenticated user should see the list of properties
        Given there exists such advertisements
            | title      | description                        | type      | property_type | location         | room_count | area | floor | floor_count | price    |
            | Apartment  | Small apartment in Tartu for rent  | rent      | apartment     | Tartu, Estonia   | 1          | 13   | 2     | 4           | 430      |
            | Nice house | Cool house in Tallinn, pls buy     | sell      | house         | Tallinn, Estonia | 12         | 200  | 1     |             | 640000   |
        And I am not logged in
        When I visit the property advertisement list page
        Then I should see the list of all properties

    Scenario: Unauthenticated user should see a message that there is no advertisements if the database is empty
        Given there exists such advertisements
            | title      | description                        | type      | property_type | location         | room_count | area | floor | floor_count | price    |
        And I am not logged in
        When I visit the property advertisement list page
        Then I should see a message that there is no advertisements



    Scenario: FR17 - Any user can view the contact details of the property owner in the detailed view
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I want to insert the following data
            | title     | description     | type      | property_type | location       | room_count | area | floor | floor_count | price |
            | Apartment | Small apartment | rent      | apartment     | Tartu, Estonia | 1          | 13   | 2     | 4           | 430   |
        And I am logged in
        And I want to create a new property advertisement
        And I fill in the property advertisement form with valid data
        When I click submit
        Then I should see a success message
        And I log out
        And I go to homepage
        When I click the View more button on "Apartment" advertisement
        Then I should see the contact details of the owner:
            | owner_name | owner_surname | owner_phone | owner_email                |
            | Existing   | Account       | 000         | existing.account@gmail.com |


    Scenario: 3.10 - Any user can calculate the price of a property in the detailed view
        Given there exists following accounts
            | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
            | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And there exists such advertisements new
            | title         | description                        | type | property_type | location       | room_count | area | floor | floor_count | price |
            | Apartment A   | Small apartment in Tartu for rent  | rent | apartment     | Tartu, Estonia | 4          | 60   | 4     | 4           | 810   |
            | Apartment B   | Cool apartment in Tartu, pls buy   | rent | apartment     | Tartu, Estonia | 3          | 64   | 3     | 4           | 90    |
        And I am not logged in
        When I visit the property advertisement list page
        And I click the View more button on "Apartment B" advertisement
        And I click the Calculate Price button
        Then I should see the calculated price displayed and it should be 450

