defmodule WhiteBreadConfig do
      use WhiteBread.SuiteConfiguration


      suite name:          "FR-1.1: User Registration Features",
            context:       UserRegistrationContext,
            feature_paths: ["features/user_registration.feature"]

      suite name:          "FR-1.2: User Login Features",
            context:       UserLoginContext,
            feature_paths: ["features/user_login.feature"]

      suite name:          "FR-1.3: User Logout Features",
            context:       UserLogoutContext,
            feature_paths: ["features/user_logout.feature"]

      suite name:          "FR-1.4: User Delete Features",
            context:       UserDeleteContext,
            feature_paths: ["features/user_delete.feature"]

      suite name:          "FR-1.5: Password Change Features",
            context:       PasswordChangeContext,
            feature_paths: ["features/password_change.feature"]

      suite name:          "FR-1.6: Profile Update Features",
            context:       ProfileUpdateContext,
            feature_paths: ["features/profile_update.feature"]

      suite name:          "FR-2.1: Property Advertisement Creation Features",
            context:       AdvertisementCreationContext,
            feature_paths: ["features/advertisement_creation.feature"]

      suite name:          "FR-2.2, FR-2.3: View Own Advertisements",
            context:       MyAdvertisementsContext,
            feature_paths: ["features/my_advertisements.feature"]

      suite name:          "FR-2.4: Property Update Features",
            context:        PropertyUpdateContext,
            feature_paths: ["features/property_update.feature"]

      suite name:          "FR-2.5 Property Delete Features",
            context:        PropertyDeleteContext,
            feature_paths: ["features/property_delete.feature"]

      suite name:          "FR-2.6, FR-3.6: Mark Property as Sold or Rented",
            context:       MarkPropertySoldRentedContext,
            feature_paths: ["features/mark_property_sold_rented.feature"]

      suite name:          "FR-3.4, FR-3.5: Mark Property as Not Interested",
            context:       NotInterestedPropertiesContext,
            feature_paths: ["features/not_interested_properties.feature"]

      suite name:          "FR-3.8, FR-3.9: Property Details",
            context:       PropertyDetailsContext,
            feature_paths: ["features/property_details.feature"]

      suite name:          "FR-3.11: Owner Profile",
            context:       OwnerProfileContext,
            feature_paths: ["features/owner_profile.feature"]


      suite name:          "FR-4.1: Mark Property as Favorite",
            context:       MarkPropertyFavoriteContext,
            feature_paths: ["features/mark_property_favorite.feature"]

      suite name:          "FR-4.2: Mark Property as not Favorite",
            context:       MarkPropertyNotFavoriteContext,
            feature_paths: ["features/mark_property_not_favorite.feature"]

      suite name:          "FR-4.3: View List of Favorite Properties",
            context:       FavoriteProperties,
            feature_paths: ["features/favorite_properties.feature"]

      suite name:          "FR-5.2: Navigation Bar Accessiblity",
            context:       NavigationBarContext,
            feature_paths: ["features/navigation_bar.feature"]

      suite name:          "FR-5.3: Security",
            context:       SecureAuthContext,
            feature_paths: ["features/security.feature"]

      suite name:          "FR-6.1: Dark/Light mode appearance switch",
            context:       DarkModeContext,
            feature_paths: ["features/dark_mode.feature"]


      # # TODO: match FRs from sheet
      suite name:          "FR-30 User Profile Features",
            context:       UserProfileContext,
            feature_paths: ["features/user_profile.feature"]

      suite name:          "FR-18 Display Similar Properties on Listing View",
            context:       SimilarPropertiesContext,
            feature_paths: ["features/similar_properties_view.feature"]

      suite name:          "FR-13, FR-19 & FR-20: Property Search and Revisit",
            context:       PropertySearchContext,
            feature_paths: ["features/property_search.feature"]

      suite name:          "Property Advertisement List Features",
            context:       AdvertisementListContext,
            feature_paths: ["features/advertisement_list.feature"]

      suite name:          "3.7 - Search Order Feature",
            context:       SearchOrderContext,
            feature_paths: ["features/search_order.feature"]

      suite name:          "FR-23, FR-24 & FR-25: Messaging",
            context:       MessagingContext,
            feature_paths: ["features/messaging.feature"]

end
