Feature: Remove Property from Favorites

    Scenario: User can remove a favorite property from home page
        Given there exists following accounts
            | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
            | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
            | Property | Owner   | 2000-01-01 | 111          | property.owner@gmail.com   | password | password         |
        And the following properties exist
            | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
            | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And I am logged in as random user
        And the property "Really cool property" is in my favorites
        When I visit the home page
        And I click the favorite button for "Really cool property"
        Then I should see Property removed from favorites message
        And the property should be marked as not favorite

    Scenario: User can remove a favorite property from property details page
        Given there exists following accounts
            | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
            | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
            | Property | Owner   | 2000-01-01 | 111          | property.owner@gmail.com   | password | password         |
        And the following properties exist
            | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
            | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And I am logged in as random user
        And the property "Really cool property" is in my favorites
        When I visit the details page for "Really cool property"
        And I click the favorite button
        Then I should see Property removed from favorites message
        And the property should be marked as not favorite

    Scenario: User cannot remove a non-favorited property
        Given there exists following accounts
            | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
            | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
            | Property | Owner   | 2000-01-01 | 111          | property.owner@gmail.com   | password | password         |
        And the following properties exist
            | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
            | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And I am logged in as random user
        When I visit the home page
        Then the property should be marked as not favorite