Feature: FR-11: Mark Property as Sold or Rented

  Scenario: Authenticated user should update state of own property
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
      | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
    Given I am logged in
    Given the following properties exist
      | title     | description                       | type | property_type | location       | room_count | area | floor | floor_count | price |
      | Apartment | Small apartment in Tartu for rent | rent | apartment     | Tartu, Estonia | 1          | 13   | 2     | 4           | 430   |
    When I navigate to property details page
    And I click on drop-down menu and update status
    Then The status should be updated in database and in page
    And I should see a success message
    When I navigate to the homepage
    Then I should not see the unavailable property
    When I navigate to property details page
    And I click on drop-down menu and set status to available
    Then The status should be set to available in database and in page
    And I should see a success message
    When I navigate to the homepage
    Then I should see the available property

  Scenario: Authenticated user should not update state of other people's property
    Given there exists following accounts
      | name   | surname | birth_date | phone_number | email                 | password | confirm_password |
      | First  | User    | 2000-01-01 | 000          | first.user@gmail.com  | password | password         |
      | Second | User    | 2000-01-01 | 111          | second.user@gmail.com | password | password         |
    Given I am logged in as second user
    Given the following properties exist
      | title     | description                       | type | property_type | location       | room_count | area | floor | floor_count | price |
      | Apartment | Small apartment in Tartu for rent | rent | apartment     | Tartu, Estonia | 1          | 13   | 2     | 4           | 430   |
    When I navigate to property details page
    Then I should not see a drop-down menu
    And The status not updated in database

  Scenario: Unauthenticated user should not update state of other people's property
    Given there exists following accounts
      | name   | surname | birth_date | phone_number | email                 | password | confirm_password |
      | First  | User    | 2000-01-01 | 000          | first.user@gmail.com  | password | password         |
      | Second | User    | 2000-01-01 | 111          | second.user@gmail.com | password | password         |
    Given the following properties exist
      | title     | description                       | type | property_type | location       | room_count | area | floor | floor_count | price |
      | Apartment | Small apartment in Tartu for rent | rent | apartment     | Tartu, Estonia | 1          | 13   | 2     | 4           | 430   |
    When I navigate to property details page
    Then I should not see a drop-down menu
    And The status not updated in database