Feature: FR-23, FR-24, FR-25 Messaging
    
    Scenario: Authenticated user should be able to send a message to another user from their property listing page
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | First    | User    | 2000-01-01 | 000          | first.user@gmail.com       | password | password         |
              | Second   | User    | 2000-01-01 | 111          | second.user@gmail.com      | password | password         |
        And the following properties exist
              | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
              | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And I am logged in as "Second User"
        And I am on the homepage
        And I click on View more button of the property "Really cool property"
        And I click on Send message button
        Then I should be redirected to the message form page
        Then I should see a message form with prefilled title "Re: Really cool property"
        Then I should see the new message recipient being "First User"
        When I fill in the message form with the following information
              | content                                     |
              | Hi! This content is long long long long     |
        And I click on Send button
        Then I should see a success message "Message sent successfully"
        And I should be redirected to the messages page
        And I should see the message in the messages list

    Scenario: Authenticated user should be able to reply to a message sent to them
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | First    | User    | 2000-01-01 | 000          | first.user@gmail.com       | password | password         |
              | Second   | User    | 2000-01-01 | 111          | second.user@gmail.com      | password | password         |
        And the following properties exist
              | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
              | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And the following messages exist
            | title                    | content                                          |
            | Re: Really cool property | Hi! This content is long long long long long     |
        And I am logged in as "First User"
        And I am on the messages page
        When I click on Reply button of an existing message
        Then I should be redirected to the message form page
        Then I should see a message form with prefilled title "Re: Really cool property"
        Then I should see the new message recipient being "Second User"
        And I should see the message content prefilled with "Hi!"
        When I fill in the message form with the following information
              | content |
              | Hello!  |
        And I click on Send button
        Then I should see a success message "Message sent successfully"
        And I should be redirected to the messages page
        And I should see the message in the messages list

    Scenario: Authenticated user should be able to reply to a message sent to them
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | First    | User    | 2000-01-01 | 000          | first.user@gmail.com       | password | password         |
              | Second   | User    | 2000-01-01 | 111          | second.user@gmail.com      | password | password         |
        And the following properties exist
              | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
              | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And the following messages exist
            | title                      | content                                          |
            | Re: Really cool property   | Hi! This content is long long long long long     |
            | Re: Really cool property 2 | Hi! This content is long long long long long     |
        And I am logged in as "First User"
        And I am on the messages page
        Then I should see a list of the messages

    Scenario: Authenticated user should be able to delete their own existing message from their messages
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | First    | User    | 2000-01-01 | 000          | first.user@gmail.com       | password | password         |
              | Second   | User    | 2000-01-01 | 111          | second.user@gmail.com      | password | password         |
        And the following properties exist
              | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
              | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And the following messages exist
            | title                    | content                                          |
            | Re: Really cool property | Hi! This content is long long long long long     |
        And I am logged in as "Second User"
        And I am on the messages page
        When I click on Delete button of an existing message
        Then I should be shown a confirmation modal
        When I click Confirm button
        Then I should be redirected to the messages page
        And I should see a success message "Message deleted successfully"
        And I should no longer see the message

    Scenario: Authenticated user should be able to cancel a deletion
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | First    | User    | 2000-01-01 | 000          | first.user@gmail.com       | password | password         |
              | Second   | User    | 2000-01-01 | 111          | second.user@gmail.com      | password | password         |
        And the following properties exist
              | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
              | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And the following messages exist
            | title                    | content                                          |
            | Re: Really cool property | Hi! This content is long long long long long     |
        And I am logged in as "Second User"
        And I am on the messages page
        When I click on Delete button of an existing message
        Then I should be shown a confirmation modal
        When I click Cancel button
        Then I should remain on the messages page
        And I should not see the modal
        And I should still see the message
