Feature: FR-12 View Own Advertisements
  
  Scenario: Authenticated user should view all its property listings with photos from profile
    Given there exists following accounts
      | name     | surname | birth_date  | phone_number | email                      | password | confirm_password |
      | Existing | Account | 2000-01-01  | 000         | existing.account@gmail.com | password | password         |
    Given I am logged in
    Given I want to insert the following data
      | title     | description                       | type | property_type | location       | room_count | area | floor | floor_count | price |
      | Apartment | Small apartment in Tartu for rent | rent | apartment    | Tartu, Estonia | 1          | 13   | 2     | 4          | 430   |
    Given I created given properties with photos
    When I navigate to my profile page
    And I click on My properties link
    Then I should be redirected to my properties page
    And I should see a list of all my properties
    And I log out

  Scenario: Authenticated user should not view other people's property listings from profile
    Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | First    | User    | 2000-01-01 | 000          | first.user@gmail.com      | password | password         |
              | Second   | User    | 2000-01-01 | 111          | second.user@gmail.com     | password | password         |
    Given I am logged in as "first.user@gmail.com"
    Given I want to insert the following data
            | title      | description                        | type      | property_type | location         | room_count | area | floor | floor_count | price    |
            | Apartment  | Small apartment in Tartu for rent  | rent      | apartment     | Tartu, Estonia   | 1          | 13   | 2     | 4           | 430      |
    Given I created given properties with photos
    Given I log out
    Given I am logged in as "second.user@gmail.com"
    When I navigate to my profile page
    And I click on My properties link
    Then I should be redirected to my properties page
    And I should not see other user's properties
    And I log out

  Scenario: Authenticated user should view details of own advertisement
    Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
    Given I am logged in
    Given I want to insert the following data
            | title      | description                        | type      | property_type | location         | room_count | area | floor | floor_count | price    |
            | Apartment  | Small apartment in Tartu for rent  | rent      | apartment     | Tartu, Estonia   | 1          | 13   | 2     | 4           | 430      |
    Given I created given properties with photos
    When I navigate to my profile page
    And I click on My properties link
    And I click to View more button
    Then I should be redirected to property details page
    And I should see the property details