Feature: Navigation Bar Accessibility
  Scenario: Authenticated user accesses navigation links
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
      | Existing | Account | 2000-01-01 | 000         | existing.account@gmail.com| password | password         |
    And I am logged in as random user
    Then I should see "My Properties" in the navigation bar
    And I should see "My Favorites" in the navigation bar
    And I should see "Search" in the navigation bar
    And I should see "Advanced Search" in the navigation bar
    And I should see "Profile" in the navigation bar

  Scenario: User navigates to My Properties
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
      | Existing | Account | 2000-01-01 | 000         | existing.account@gmail.com| password | password         |
    And I am logged in as random user
    When I click "My Properties" in the navigation bar
    Then I should be on the my properties page
    And I should see "My Properties" as the header

  Scenario: User navigates to My Favorites
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
      | Existing | Account | 2000-01-01 | 000         | existing.account@gmail.com| password | password         |
    And I am logged in as random user
    When I click "My Favorites" in the navigation bar
    Then I should be on the favorites page
    And I should see "My Favorite Properties" as the header

  Scenario: User navigates to Search
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
      | Existing | Account | 2000-01-01 | 000         | existing.account@gmail.com| password | password         |
    And I am logged in as random user
    When I click "Advanced Search" in the navigation bar
    Then I should be on the search page
    And I should see "Search for properties" as the header

  Scenario: Unauthenticated user sees limited navigation
    When I visit the home page
    Then I should not see "My Properties" in the navigation bar
    And I should not see "My Favorites" in the navigation bar
    And I should not see "Profile" in the navigation bar
    But I should see "Log in" in the navigation bar
