Feature: FR-X: View Owner Profile and Properties

  Scenario: Owner can view their own profile from property details
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
      | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com   | password | password         |
    And the following properties exist
      | title           | description              | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
      | Cool Property   | Amazing house           | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
      | Nice Apartment  | Modern apartment        | rent | apartment     | available | Paris    | 2          | 80.0  | 1     | 4           | 2000   |
    And I am logged in as the property owner
    When I navigate to "Cool Property" details page
    Then I should see "View owner's profile" link
    When I click "View owner's profile" link
    Then I should be on the owner's profile page
    And I should see "Property Owner"
    And I should see "Cool Property"
    And I should see "Nice Apartment"
    And I should see the owner's contact information

  Scenario: Non-owner user can view property owner's profile
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
      | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com   | password | password         |
      | Regular  | User    | 2000-01-01 | 111          | regular.user@gmail.com     | password | password         |
    And the following properties exist
      | title           | description              | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
      | Cool Property   | Amazing house           | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
    And I am logged in as regular user
    When I navigate to "Cool Property" details page
    Then I should see "View owner's profile" link
    When I click "View owner's profile" link
    Then I should be on the owner's profile page
    And I should see "Property Owner"
    And I should see "Cool Property"
    And I should see the owner's contact information

  Scenario: Unauthenticated user can view property owner's profile
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
      | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com   | password | password         |
    And the following properties exist
      | title           | description              | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
      | Cool Property   | Amazing house           | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
    When I navigate to "Cool Property" details page
    Then I should see "View owner's profile" link
    When I click "View owner's profile" link
    Then I should be on the owner's profile page
    And I should see "Property Owner"
    And I should see "Cool Property"
    And I should see the owner's contact information

  Scenario: Owner cannot access their profile page after property becomes unavailable
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
      | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com   | password | password         |
    And the following properties exist
      | title           | description              | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
      | Cool Property   | Amazing house           | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
    And I am logged in as the property owner
    When I navigate to "Cool Property" details page
    And I click on drop-down menu and update status to unavailable
    And I click "View owner's profile" link
    Then I should see "Profile not accessible or does not exist"
    And I should be redirected to homepage