Feature: 1.6 Profile Update

    Scenario: Authenticated user can update their profile
        Given there exist following accounts
              | name     | surname | birth_date | phone_number | bio  | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | yoyo | existing.account@gmail.com | password | password         |
        And I am logged in
        And I want to update my profile
        And I fill the profile update form with valid details
            | name          | surname          | birth_date | phone_number | bio          |
            | Updated Name  | Updated Surname  | 1990-01-01 | 987654321    | Updated Bio |
        When I click update profile
        Then I should be redirected to profile page
        And I should see a success notification
        And my profile should be updated with new info
            | name          | surname          | birth_date | phone_number | bio          | email                       |
            | Updated Name  | Updated Surname  | 1990-01-01 | 987654321    | Updated Bio  | existing.account@gmail.com  |          

    Scenario: Authenticated user cannot update their profile with invalid phone number
        Given there exist following accounts
              | name     | surname | birth_date | phone_number | bio  | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 987654321    | yoyo | existing.account@gmail.com | password | password         |
        And I am logged in
        And I want to update my profile
        And I fill the profile update form with invalid data
            | name          | surname          | birth_date | phone_number | bio            |
            | Updated Name  | Updated Surname  | 1990-01-01 | 5            | Updated Bio    |
        When I click update profile
        Then I should see an error message stating invalid phone number
        And I should still see the profile update form

    Scenario: Authenticated user cannot update their profile with a future birth date
        Given there exist following accounts
              | name     | surname | birth_date | phone_number | bio  | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 987654321    | yoyo | existing.account@gmail.com | password | password         |
        And I am logged in
        And I want to update my profile
        And I fill the profile update form with invalid data
            | name          | surname          | birth_date | phone_number | bio            |
            | Updated Name  | Updated Surname  | 2500-01-01 | 987654321    | Updated Bio    |
        When I click update profile
        Then I should see an error message stating invalid birth date
        And I should still see the profile update form

    Scenario: Authenticated user cannot update their profile with missing required fields
        Given there exist following accounts
              | name     | surname | birth_date | phone_number | bio  | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 987654321    | yoyo | existing.account@gmail.com | password | password         |
        And I am logged in
        And I want to update my profile
        And I fill the profile update form with invalid data
            | name | surname | birth_date | phone_number | bio            |
            |      |         | 2000-01-01 | 987654321    | Updated Bio    |
        When I click update profile
        And I should still see the profile update form

    Scenario: Unauthenticated user cannot access the profile update page
        Given I am not logged in
        When I try to access the profile update page
        Then I should be redirected to the login page
        And I should see an error message stating that I am not logged in
