Feature: FR-09 Property Advertisement Details

        Scenario: User can view complete property details from the homepage as a non-owner
                Given there exists following accounts
                        | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
                        | First    | User    | 2000-01-01 | 111          | first.user@gmail.com     | password | password         |
                        | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com | password | password         |
                And I am logged in as random user
                And the following properties exist
                        | title            | description              | type | property_type | location       | state     | room_count | area | floor | floor_count | price |
                        | Modern Apartment | Bright and spacious flat | rent | apartment     | Tartu, Estonia | available | 3          | 75.0 | 4     | 5           | 800   |
                When I visit the homepage
                And I click the "View more" button for "Modern Apartment"
                Then I should see all property details
                And I should see masked phone number
                When I click "Show Phone" button
                Then I should see the owner's actual phone number
                And I should not see the "Show Phone" button anymore

        Scenario: Property owner can see phone number immediately
                Given there exists following accounts
                        | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
                        | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com | password | password         |
                And the following properties exist
                        | title            | description              | type | property_type | location       | state     | room_count | area | floor | floor_count | price |
                        | Modern Apartment | Bright and spacious flat | rent | apartment     | Tartu, Estonia | available | 3          | 75.0 | 4     | 5           | 800   |
                And I am logged in as owner
                When I visit the property details page directly
                Then I should see all property details
                And I should see the phone number immediately
                And I should not see "Show Phone" button

        Scenario: Unauthenticated user can view property details
                Given there exists following accounts
                        | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
                        | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com | password | password         |
                And the following properties exist
                        | title            | description              | type | property_type | location       | state       | room_count | area | floor | floor_count | price |
                        | Modern Apartment | Bright and spacious flat | rent | apartment     | Tartu, Estonia | unavailable | 3          | 75.0 | 4     | 5           | 800   |
                When I visit the property details page directly
                Then I should see all property details
                And I should see masked phone number
                When I click "Show Phone" button
                Then I should see the owner's actual phone number


        Scenario: Random user should see only public details of a property
                Given there exists following accounts
                        | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
                        | First    | User    | 2000-01-01 | 111          | first.user@gmail.com     | password | password         |
                        | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com | password | password         |
                And I am logged in as random user
                Given Property Owner has created following property
                        | title            | description                    | type | property_type | location       | room_count | area | floor | floor_count | price |
                        | Modern Apartment | Great apartment with nice view | rent | apartment     | Tartu, Estonia | 2          | 50   | 3     | 5           | 500   |
                When I visit the homepage
                And I click the "View more" button for "Modern Apartment"
                Then I should see basic property details
                And I should see masked phone number
                And I should not see property management controls
                When I click "Show Phone" button
                Then I should see the owner's actual phone number

        Scenario: Unauthenticated user should see only public details of a property
                Given there exists following accounts
                        | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
                        | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com | password | password         |
                And Property Owner has created following property
                        | title            | description                    | type | property_type | location       | room_count | area | floor | floor_count | price |
                        | Modern Apartment | Great apartment with nice view | rent | apartment     | Tartu, Estonia | 2          | 50   | 3     | 5           | 500   |
                When I visit the homepage
                And I click the "View more" button for "Modern Apartment"
                Then I should see basic property details
                And I should see masked phone number
                And I should not see property management controls
                When I click "Show Phone" button
                Then I should see the owner's actual phone number


        # 3.13

        Scenario: User can view property details from favorites list
                Given there exists following accounts
                        | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
                        | First    | User    | 2000-01-01 | 111          | first.user@gmail.com     | password | password         |
                        | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com | password | password         |
                And I am logged in as random user
                And Property Owner has created following property
                        | title            | description                    | type | property_type | location       | room_count | area | floor | floor_count | price |
                        | Modern Apartment | Great apartment with nice view | rent | apartment     | Tartu, Estonia | 2          | 50   | 3     | 5           | 500   |
                And I have favorited the "Modern Apartment"
                When I visit my favorites page
                And I click the "View more" button for "Modern Apartment"
                Then I should see basic property details
                And I should see masked phone number

        Scenario: Property owner can view property details from their profile
                Given there exists following accounts
                        | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
                        | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com | password | password         |
                And I am logged in as owner
                And I have created following property
                        | title            | description                    | type | property_type | location       | room_count | area | floor | floor_count | price |
                        | Modern Apartment | Great apartment with nice view | rent | apartment     | Tartu, Estonia | 2          | 50   | 3     | 5           | 500   |
                When I visit my properties page
                And I click the "View more" button for "Modern Apartment"
                Then I should see basic property details
                And I should see the phone number immediately
                And I should see property management controls

        Scenario: User can view property details from owner's public profile
                Given there exists following accounts
                        | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
                        | First    | User    | 2000-01-01 | 111          | first.user@gmail.com     | password | password         |
                        | Property | Owner   | 2000-01-01 | 000          | property.owner@gmail.com | password | password         |
                And I am logged in as random user
                And Property Owner has created following property
                        | title            | description                    | type | property_type | location       | room_count | area | floor | floor_count | price |
                        | Modern Apartment | Great apartment with nice view | rent | apartment     | Tartu, Estonia | 2          | 50   | 3     | 5           | 500   |
                When I visit Property Owner's profile
                And I click the "View more" button for "Modern Apartment"
                Then I should see basic property details
                And I should see masked phone number