Feature: FR-13, FR-19 & FR-20: Property Search and Revisit

    Scenario: 3.2, 3.3 Authenticated user should see filter options and boundaries for search
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                  | description                      | type | property_type | state     | location         | room_count | area  | floor | floor_count | price  |
            | Rent property cheap    | This is a really cool property   | rent | apartment     | available | London, UK       | 1          | 90.0  | 2     | 8           | 500    |
            | Rent property          | Also a really cool property      | rent | apartment     | available | London, UK       | 3          | 160.0 | 2     | 5           | 6000   |
            | Rent property Tartu    | Also a really cool property      | rent | apartment     | available | Tartu, Estonia   | 2          | 120.0 | 1     | 2           | 800    |
            | Buy property Tartu     | Also a really cool property      | sell | apartment     | available | Tartu, Estonia   | 2          | 120.0 | 1     | 2           | 800000 |
        And I am logged in
        And I want to perform a search
        Then I should see all countries of the properties in the filter options
        And I should see all cities of the properties in the filter options
        And I should see a max price filter with the max price of the properties
        And I should see a min price filter with the min price of the properties
        And I should see a max room filter with the room count of the properties
        And I should see a min room filter with the room count of the properties

    Scenario: 3.2, 3.3 Authenticated user should be able to search with default values
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                  | description                      | type | property_type | state     | location         | room_count | area  | floor | floor_count | price  |
            | Rent property cheap    | This is a really cool property   | rent | apartment     | available | London, UK       | 1          | 90.0  | 2     | 8           | 500    |
            | Rent property          | Also a really cool property      | rent | apartment     | available | London, UK       | 3          | 160.0 | 2     | 5           | 6000   |
            | Rent property Tartu    | Also a really cool property      | rent | apartment     | available | Tartu, Estonia   | 2          | 120.0 | 1     | 2           | 800    |
            | Buy property Tartu     | Also a really cool property      | sell | apartment     | available | Tartu, Estonia   | 2          | 120.0 | 1     | 2           | 800000 |
        And I am logged in
        And I want to perform a search
        When I click on the search button
        Then I should see "3" properties

    Scenario: 3.2 Unauthenticated user should not see a search button
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I go to the homepage
        Then I should not see a search button

    Scenario: 3.2 Unauthenticated user should be redirected to login when visiting search URL
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I go to the search URL
        Then I should be redirected to the login page

    Scenario: 3.2 Authenticated users should see saved search queries
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title         | description                 | type | property_type | state     | location   | room_count | area  | floor | floor_count | price  |
            | Rent property | Also a really cool property | rent | apartment     | available | London, UK | 3          | 160.0 | 2     | 5           | 6000   |
        And I am logged in
        And I want to search
        And I perform a search
        And I want to search
        Then I should see a saved search query

    Scenario: 4.4 Authenticated user can revisit their previous searches
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title         | description                 | type | property_type | state     | location   | room_count | area  | floor | floor_count | price  |
            | Rent property | Also a really cool property | rent | apartment     | available | London, UK | 3          | 160.0 | 2     | 5           | 6000   |
        And I am logged in
        And I want to search
        And I perform a search
        And I want to search
        And I click on a previous search
        Then I should see the properties from the previous search

    Scenario: 3.1 Unauthenticated user should be able to search from the homepage
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title         | description                 | type | property_type | state     | location       | room_count | area  | floor | floor_count | price  |
            | Rent property | Also a really cool property | rent | apartment     | available | London, UK     | 3          | 160.0 | 2     | 5           | 6000   |
            | Rent property | Also a really cool property | rent | apartment     | available | Tartu, Estonia | 3          | 160.0 | 2     | 5           | 6000   |
        And I want to search from the homepage for "London"
        When I do a simple search
        Then I should see "1" properties with the location "London"

    Scenario: 3.1 Authenticated user should be able to search from the homepage
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title         | description                 | type | property_type | state     | location       | room_count | area  | floor | floor_count | price  |
            | Rent property | Also a really cool property | rent | apartment     | available | London, UK     | 3          | 160.0 | 2     | 5           | 6000   |
            | Rent property | Also a really cool property | rent | apartment     | available | Tartu, Estonia | 3          | 160.0 | 2     | 5           | 6000   |
        And I am logged in
        And I want to search from the homepage for "London"
        When I do a simple search
        Then I should see "1" properties with the location "London"
        And I want to search from the homepage for "Tartu"

    Scenario: 3.1 Simple search results should be based on title, description and location
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title         | description                 | type | property_type | state     | location       | room_count | area  | floor | floor_count | price  |
            | Rent property | Also a really cool property | rent | apartment     | available | London, UK     | 3          | 160.0 | 2     | 5           | 6000   |
            | Rent property | Also a really cool property | rent | apartment     | available | Tartu, Estonia | 3          | 160.0 | 2     | 5           | 6000   |
        And I want to search from the homepage for "London"
        When I do a simple search
        Then I should see "1" properties with the location "London"
        And I want to search from the homepage for "Tartu"
        When I do a simple search
        Then I should see "1" properties with the location "Tartu"
        And I want to search from the homepage for "Tallinn"
        When I do a simple search
        Then I should see "0" properties with the location "Tallinn"
        And I want to search from the homepage for "Rent"
        When I do a simple search
        Then I should see "2" properties with the title "Rent property"
        And I want to search from the homepage for "cool"
        When I do a simple search
        Then I should see "2" properties with the description "cool"
