Feature: FR-10 Secure Authentication and Authorization

  Scenario: System encrypts password on registration
    Given I want to register a new user
    And I have such user data
      | name | surname | birth_date | phone_number | email              | password | confirm_password |
      | John | Doe     | 1990-01-02 | 123456789    | john.doe@gmail.com | test123  | test123          |
    When I fill a registration form with valid data
    And I click submit
    Then I should see a success message
    And the password should be stored encrypted in database
    And I should be redirected to the main page

  Scenario: Unauthorized access to user's properties is prevented
    Given there exists following accounts
      | name   | surname | birth_date | phone_number | email                 | password | confirm_password |
      | First  | User    | 2000-01-01 | 111          | first.user@gmail.com  | password | password         |
      | Second | User    | 2000-01-01 | 222          | second.user@gmail.com | password | password         |
    And First User has created following property
      | title            | description                    | type | property_type | location       | room_count | area | floor | floor_count | price |
      | Modern Apartment | Great apartment with nice view | rent | apartment     | Tartu, Estonia | 2          | 50   | 3     | 5           | 500   |
    When I am logged in as "second.user@gmail.com"
    And I try to access edit page for First User's property
    Then I should be redirected to property details page
    And I should see "You don't have permission to edit this property" message

  Scenario: User session is required for protected pages
    Given there exists following accounts
      | name  | surname | birth_date | phone_number | email                | password | confirm_password |
      | First | User    | 2000-01-01 | 111          | first.user@gmail.com | password | password         |
    When I try to access properties page
    Then I should be redirected to login page
    And I should see "You are not logged in!" message
      When I try to access favorites page
      Then I should be redirected to login page
      And I should see "You are not logged in!" message
      When I try to access profile page
      Then I should be redirected to login page
      And I should see "You are not logged in!" message
      When I try to access password page
      Then I should be redirected to login page
      And I should see "You are not logged in!" message
      When I try to access details page
      Then I should be redirected to login page
      And I should see "You are not logged in!" message


  Scenario: User cannot access pages after logout
    Given there exists following accounts
      | name  | surname | birth_date | phone_number | email                | password | confirm_password |
      | First | User    | 2000-01-01 | 111          | first.user@gmail.com | password | password         |
    And I am logged in
    When I click the logout button
    Then I should be logged out
    And I should be redirected to the home page
    When I try to access "/me/properties"
    Then I should be redirected to login page