Feature: User Registration

    Scenario: Valid user registration
        Given I want to register a new user
        And I have such user data
            | name | surname | birth_date | phone_number | email                | password | confirm_password |
            | John | Doe     | 1990-01-02 | 123456789    | john.doe@example.com | password | password         |
        When I fill a registration form with valid data
        When I click submit
        Then I should see a success message
        And the user should be saved in the database
        And I should be redirected to the main page

    Scenario: Invalid phone number
        Given I want to register a new user
        And I have such user data
            | name | surname | birth_date | phone_number | email                | password | confirm_password |
            | Jane | Doe     | 1990-01-01 | 123abc       | jane.doe@example.com | password | password         |
        When I fill a registration form with invalid phone number
        When I click submit
        Then I should see an error message about the phone number
        And the user should not be saved in the database
        And I should still see the registration form

    Scenario: Invalid birth date
        Given I want to register a new user
        And I have such user data
            | name    | surname | birth_date | phone_number | email                     | password | confirm_password |
            | Michael | Smith   | 2500-01-01 | 987654321    | michael.smith@example.com | password | password         |
        When I fill a registration form with invalid date
        When I click submit
        Then I should see an error message about the birth date
        And the user should not be saved in the database
        And I should still see the registration form

    Scenario: Email already exists
        Given there exists the following account
            | name | surname | birth_date | phone_number | email                   | password | confirm_password |
            | John | Doe     | 2000-01-01 | 123456789    | johnson.doe@example.com | password | password         |
        And I want to register a new user
        And I have such user data
            | name | surname | birth_date | phone_number | email                   | password | confirm_password |
            | Jane | Smith   | 2000-01-01 | 987654321    | johnson.doe@example.com | password | password         |
        When I fill a registration form with existing email
        When I click submit
        Then I should see an error message about the email
        And the user should be saved in the database
        And I should still see the registration form

    Scenario: Password and confirm password do not match
        Given I want to register a new user
        And I have such user data
            | name | surname | birth_date | phone_number | email                | password | confirm_password |
            | Jane | Doe     | 1990-01-01 | 123456789    | jane.doe@example.com | password | different        |
        When I fill a registration form with mismatched passwords
        When I click submit
        Then I should see an error message about the passwords
        And the user should not be saved in the database
        And I should still see the registration form