defmodule PropTrackr.Messaging.Message do
  use Ecto.Schema
  import Ecto.Changeset

  schema "messages" do
    field :title, :string
    field :content, :string

    belongs_to :user, PropTrackr.Accounts.User

    timestamps()
  end

  def changeset(message, params \\ %{}) do
    message
    |> cast(params, [:title, :content])
    |> validate_required([:title, :content])
    |> validate_length(:title, min: 5, max: 100)
    |> validate_length(:content, min: 25, max: 1000)
  end
end
