defmodule PropTrackr.Favorites.Favorite do
  use Ecto.Schema
  import Ecto.Changeset

  schema "favorites" do
    belongs_to :user, PropTrackr.Accounts.User
    belongs_to :property, PropTrackr.Properties.Property

    timestamps()
  end

  def changeset(favorite, attrs \\ %{}) do
    favorite
    |> cast(attrs, [:user_id, :property_id])
    |> validate_required([:user_id, :property_id])
    |> unique_constraint([:user_id, :property_id])
  end
end
