defmodule PropTrackrWeb.LoginController do
  use PropTrackrWeb, :controller

  import PropTrackr.Authentication

  def index(conn, _params) do
    current_user = get_session(conn, :user_id)
    if current_user do
      conn
      |> put_flash(:info, "You are already logged in")
      |> redirect(to: ~p"/")
    else
      render conn, "index.html"
    end
  end

  def create(conn, %{"email" => email, "password" => password}) do
    case validate_credentials(conn, email, password, repo: PropTrackr.Repo) do
      {:ok, conn} ->
        conn
        |> put_flash(:info, "Successfully logged in!")
        |> redirect(to: ~p"/")
      {:error, :invalid_email, conn} ->
        conn
        |> put_flash(:error, "Given email does not exist!")
        |> render("index.html")
      {:error, _, conn} ->
        conn
        |> put_flash(:error, "Invalid credentials!")
        |> render("index.html")
    end
  end
end
