defmodule PropTrackrWeb.ProfileUpdateController do
  use PropTrackrWeb, :controller

  alias PropTrackr.Repo
  alias PropTrackr.Accounts.User
  alias PropTrackr.Authentication

  def index(conn, _params) do
    user_id = get_session(conn, :user_id)
    if user_id == nil do
      conn
      |> put_flash(:error, "You are not logged in!")
      |> redirect(to: ~p"/login")
    else
      user = Repo.get(User, user_id)
      changeset = User.changeset(user, %{})
      render(conn, "index.html", changeset: changeset)
    end
  end

  def create(conn, %{"user" => user_params}) do #  def create(conn, %{"user" => user_params}) do
    user_id = get_session(conn, :user_id)
    user = Repo.get(User, user_id)
    changeset = User.update_changeset(user, user_params)
    case Repo.update(changeset) do
      {:ok, _user} ->
        conn
          |> put_flash(:info, "Profile details updated successfully!")
          |> redirect(to: ~p"/me")
      {:error, %Ecto.Changeset{} = changeset} ->
        render(conn, "index.html", changeset: changeset)
    end
  end



end
