defmodule PropTrackr.Repo.Migrations.AddSearchModel do
  use Ecto.Migration

  def change do
    create table(:searches) do
      add :type, :string

      add :min_price, :float
      add :max_price, :float
      add :min_rooms, :integer
      add :max_rooms, :integer

      add :location, :string
      add :areas, {:array, :string}

      add :user_id, references(:users)

      timestamps(type: :utc_datetime)
    end
  end

  def down do
    drop table(:searches)
  end
end
